#
# spec file for package libserialport
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname %{name}0
Summary:        Handles OS-specific details when using serial ports
License:        LGPL-3.0+
Group:          Productivity/Scientific/Electronics

Name:           libserialport
Version:        0.1.1
Release:        bp156.3.4
Url:            http://sigrok.org
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  systemd-devel
BuildRequires:  pkg-config
Source0:        http://sigrok.org/download/source/libserialport/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The sigrok project aims at creating a portable, cross-platform,
Free/Libre/Open-Source logic analyzer software that supports various
logic analyzer hardware products.

libserialport is a minimal, cross-platform shared library written in C
that is intended to take care of the OS-specific details when writing
software that uses serial ports.

It is licensed under the terms of the GNU Lesser General Public License,
version 3 or later.

%package -n %libname

Summary:        Handles OS-specific details when using serial ports
Group:          Productivity/Scientific/Electronics

%description -n %libname
The sigrok project aims at creating a portable, cross-platform,
Free/Libre/Open-Source logic analyzer software that supports various
logic analyzer hardware products.

libserialport is a minimal, cross-platform shared library written in C
that is intended to take care of the OS-specific details when writing
software that uses serial ports.

%package devel

Summary:        Handles OS-specific details when using serial ports
Group:          Development/Libraries/C and C++
Requires:       %libname = %version

%description devel
The sigrok project aims at creating a portable, cross-platform,
Free/Libre/Open-Source logic analyzer software that supports various
logic analyzer hardware products.

libserialport is a minimal, cross-platform shared library written in C
that is intended to take care of the OS-specific details when writing
software that uses serial ports.

%prep
%setup -q

%build
# ./autogen.sh
%configure --disable-static
make %{?smp_mflags}

%install
make install DESTDIR=%buildroot

rm -f %buildroot%{_libdir}/libserialport.la

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root,-)
%doc COPYING README NEWS
%_libdir/*.so.*

%files devel
%defattr(-,root,root,-)
%_libdir/*.so
%_includedir/*
%_libdir/pkgconfig/*

%changelog
* Sat Jan 30 2016 stefan.bruens@rwth-aachen.de
- upstream release 0.1.1
* Fri Sep 25 2015 stefan.bruens@rwth-aachen.de
- Track GIT version (upcoming 0.1.1)
* Fri May 30 2014 bugs@vdm-design.de
- Initial packaging of first release of libserialport 0.1.0
